#include <catch2/catch_test_macros.hpp>
#include <fmt/core.h>
#include <string>
#include "shaders.hpp"

using namespace fmt;

TEST_CASE("shader loading/init works", "[shaders]") {
  shaders::init();

  sf::Shader* ui_shader = shaders::get("ui_shader");
  auto other_test = shaders::get("ui_shader");

  REQUIRE(ui_shader != nullptr);
  REQUIRE(ui_shader == other_test);

  shaders::reload();

  // auto after_reload = shaders::get("ui_shader");
  // REQUIRE(ui_shader != after_reload);
  // REQUIRE(other_test != after_reload);
}
